> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> List webhook endpoints (secrets masked).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /s2s/webhooks
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/webhooks:
    get:
      tags:
        - S2S Webhooks
      summary: List webhooks
      description: List webhook endpoints (secrets masked).
      operationId: List
      parameters: []
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/S2SWebhookListItem'
                type: array
      security:
        - s2s: []
components:
  schemas:
    S2SWebhookListItem:
      properties:
        id:
          type: string
        url:
          type: string
        enabled:
          type: boolean
        events:
          items:
            type: string
          type: array
        description:
          type: string
        secret:
          type: string
          description: Masked; the full secret is returned once at creation.
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - url
        - enabled
        - events
        - secret
        - createdAt
      type: object
      additionalProperties: false
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````